org.yaml.snakeyaml.serializer

## Class Serializer

- java.lang.Object
- - org.yaml.snakeyaml.serializer.Serializer

    public final class Serializer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Serializer(Emitable emitter, Resolver resolver, DumperOptions opts, Tag rootTag)`

### Method Summary

Methods
`void` `close()`
`void` `open()`
`void` `serialize(Node node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer(Emitable emitter,
              Resolver resolver,
              DumperOptions opts,
              Tag rootTag)

### Method Detail

#### open

    public void open()
              throws IOException

Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### serialize

    public void serialize(Node node)
                   throws IOException

Throws:
  `IOException`